# ISPermutation

PETSC_TRUE or PETSC_FALSE depending on whether the index set has been declared to be a permutation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISPermutation(IS is,PetscTruth *perm)

Collective on IS

### Input Parmeters

is -the index set

### Output Parameters

perm -PETSC_TRUE if a permutation, else PETSC_FALSE

### See Also

ISSetPermutation()

Level:intermediate
Location: src/vec/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages